# Genesys Quality Management Suite 8.1.520 : Configuring Genesys IM

Created and last modified by

The Genesys Integration Module (GIM) is a basic Genesys CIM integration module that provides information about agents and other attached data from CIM T-Server to Call Recording. This attached data can then be used in searches for call recording and so on.

## Genesys Passive Recording

Genesys Passive recording uses the following services:

- The GIM service provides attached data from the CIM T-server
- The SIP service captures signaling from the SPAN port
- The RS service captures the voice data of calls from the SPAN port

To implement Genesys Passive recording, select the GIM service, the RS service, and the SIP service.

Where possible, it is recommended to use the Genesys Driver service that offers deeper, more complete CIM integration with Call Recording.

## Installing the Genesys Integration Module

The Genesys Integration Module is installed if selected during Call Recording setup. It can also be installed manually later.

To install the Genesys Integration Module manually:

1. Upload the standard RPM package (for example: `callrec-genesys-5.1.r-b.rpm`, where `5.1` is the major version of Genesys Quality Management Suite, r stands for the release number and b stands for the build number of the Genesys Integration Module)

2. Install it with the following command:

       rpm -i callrec-genesys-5.1.r-b.rpm

## External Data Available from Genesys CIM for GIM

The data saved in the Call Recording external data table comes from various sources. The following information is available using GIM:

- basic call-related data
- call-related user data or attached data
- agent configuration data
- extension data
- notification of recording

For the external available data see External Data Available from CIM.

### Setting GIM Encoding for Attached Data

The Genesys Integration Module assumes that any Attached Data received from the T-Server is in Unicode (UTF-8) format. However, the Genesys Platform SDK encodes this XML data according to the OS it is installed on.
Therefore if, for example, the Genesys software is installed on an OS with Czech encoding ('cp1250'), GIM does not store this correctly in the Call Recording database.

To avoid this encoding issue, an encoding parameter needs to be set manually in the Call Recording configuration file as follows:

1. Edit the Call Recording configuration file `at: /opt/callrec/etc/callrec.conf`

2. Using a text editor add the parameter '-Dfile.encoding=<encoding>' to the JAVA_OPTS_GENESYS environment variable found near the end of the file, for example, as follows:

       JAVA_OPTS_GENESYS="-server -XX:NewSize=24m -XX:SurvivorRatio=16 -
       XX:MaxNewSize=24m -Xms32m -Xmx32m -Dfile.encoding=cp1250"

3. Save the file and restart Call Recording:

       /etc/init.d/callrec restart

## Configuring the Integration Module

Once the Genesys Integration Module is installed in Call Recording, log in as admin privileges and navigate to Settings > Configuration > Integration > Genesys.

The Integration tab does not appear unless an integration module is installed.

## Configuring the Application Names and Address for GIM

Navigate to Settings > Configuration > Integration > Genesys.

The Application name for Genesys integration is set during Call Recording installation. The default value Call RecordingGIM can be used for most installations.

1. Type the name of the integration module to register on RMI in the Application communicator bind name field, for example, genesysAdapter.
2. Select the Application communicator registry address server, for example, core, this is the server with the RMI service running as defined in the servers part of the configuration.

## Configuring the T-Server and Configuration Server for GIM

Navigate to Settings > Configuration > Integration > Genesys.

Specify the connection details for communication with T-Server and Configuration Server. The Integration Module is also capable of automatic reconnection in case the connection fails; this can be configured as part of the connection details.

Set up connection properties for the T-Servers, IP address, port, and login credentials:

1. Type the IP address and port of a T-Server in the T-Server address field in the format `//server:port`.
2. Click New.
   Add as many T-Servers as required.
3. Type the T-Server user name in the T-Server user name field.
4. Type the T-Server user password in the T-Server user password field.
   The user name and password are for a user that was recently created for GIM authorization.

Set up the connection properties for the Configuration Servers, IP address, port, and login credentials:

1. Type the IP address and port of the Configuration Server in the Configuration Server address field in the format`//server:port`.
2. Click New.
   Add as many Configuration Servers as required.
3. Type the Configuration Server user name in the Configuration Server user name field.
4. Type the Configuration Server password in the Configuration Server password field.
   The username and password are for a user that was recently created for GIM authorization.
5. Select the Agent list update interval, in minutes, for how often Call Recording requests data from the Configuration Server. The default value is 5 minutes.
6. Select the DN update period, in minutes, the default is 30. This sets the interval between synchronization updates with the Configuration Server. During synchronization, the list of DNs is checked, and any changes made on the T-Server (DN added/removed/enabled/disabled) are reflected in Call Recording.
7. To set up an automatic reconnection option, choose YES in the Reconnect enabled drop-down list and select a Reconnect time value.
   The default value is 30 seconds.
8. To save the changes, click Save configuration.

After configuring the Genesys Integration Module, two additional operations must be performed for the module to operate correctly:

1. Activate the module: The GIM module is licensed, so a Call Recording license must be purchased and installed that also includes licensing for Genesys CIM integration.
2. At least one recording rule must be present (for example the “record all calls” rule using an asterisk “*”): See the Creating Recording Rules chapter in the Call Recording User Guide.

## Configuring the DN Range for Attached Data

The Agents Configuration enables the user to select Agent DNs (Directory numbers) to be monitored by Call Recording to supply attached data. Specify a range of Agent DNs (for example 3000-3999) or an individual Agent DN (for example, 3556). Specify as many ranges as required.

Navigate to Settings > Configuration > Integration > Genesys.

1. Type a range of Agent Directory Numbers in the Agent DN range field.
2. Click New if you require an additional range.
3. Repeat for additional ranges.
4. Enter a range of Directory Numbers in the Disabled DN range field.

Genesys Quality Management Suite supports extensions, DNs, and terminals that include alphanumeric characters. The following characters are supported:

Character Type | Valid Characters
--- | ---
Letters | A-Z, a-z
Numbers | 0-9
Symbols | @ & + $ % ' . , : ; ! ~ ( ) [ ] # - _

Ranges can only use numeric characters, for example: `1234-5678`, or a regular expression. Multiple ranges must be separated by commas (,) with no additional spaces, for example:`1000-1900,2000-2700,3200-3500.`

1. Click New if an additional range is required.
2. Repeat for additional ranges.
3. To save click Save configuration.

If no numbers or ranges are specified, Call Recording processes all Genesys calls.

## Configuring the Notification of Recording for GIM

Navigate to Settings > Configuration > Integration > Genesys.

Call Recording can send a notification confirming whether a monitored DN call or screen capture is being recorded. This notification comes in the form of attached data where the key consists of a mandatory and optional part linked by underscores, for example `RECORDING_STATUS_GIM`, the value part can be `YES` or `NO` as follows:

Do not change the default values in Notification of recording.

- Notification of audio recording enabled: Select from the drop-down list. The default value is `YES`.
  Notification of recording enables third party systems to display an icon on the agent desktop to indicate if the call and screen are being recorded. This is useful, for example in the financial sector where certain transactions must be recorded and certain transactions must not be recorded, for instance credit card details.
- User data key for audio notification - mandatory part: Select from the drop-down list. The default value is `RECORDING_STATUS`.
- User data key for audio notification - optional part: Select from the drop-down list. The default value is `GIM`.
- Notification of video recording enabled: Select from the drop-down list. The default value is `YES`.
- User data key for video notification - mandatory part: Select from the drop-down list. The default value is `RECORDING_VIDEO_STATUS`.
- User data value - state recording: Select from the drop-down list. The default value is `RECORDING_YES`.
- User data value - state not recording: Select from the drop-down list. The default value is `RECORDING_NO`.
- User data value - state no longer recording: Select from the drop-down list. The default value is `RECORDING_NO_LONGER.`
- User data value - state prerecording: Select from the drop-down list. The default value is `RECORDING_PRERECORD.`
- User data value - state undefined: Select from the drop-down list. The default value is `RECORDING_UNDEFINED.`

Click Save Configuration to save the changes.